import { JobCreateDto } from "../dtos/job.dto";
import { ArgsOf } from "../repositories/event.repository";
import { BaseService } from "./base.service";
export declare class JobService extends BaseService {
    create(dto: JobCreateDto): Promise<void>;
    onJobRun(...[queueName, job]: ArgsOf<'JobRun'>): Promise<void>;
    private onDone;
}
